summaryrefslogtreecommitdiffstats
path: root/games/cowsay
diff options
context:
space:
mode:
author David Miller <dave@frop.net>2010-05-13 00:58:08 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:58:08 +0200
commitc895321b54fa971613f36fbe9c6ab66a8cd79543 (patch)
tree6f260067256ee0e00a8c38c2400a247ea305c6c4 /games/cowsay
parent0668ff757d5b140cf9a0496a0792839a45bb21ad (diff)
downloadslackbuilds-c895321b54fa971613f36fbe9c6ab66a8cd79543.tar.gz
slackbuilds-c895321b54fa971613f36fbe9c6ab66a8cd79543.tar.xz
games/cowsay: Added to 13.0 repository
Diffstat (limited to 'games/cowsay')
-rw-r--r--games/cowsay/README7
-rw-r--r--games/cowsay/cowsay.SlackBuild62
-rw-r--r--games/cowsay/cowsay.SlackBuild.patch91
-rw-r--r--games/cowsay/cowsay.info10
-rw-r--r--games/cowsay/slack-desc19
5 files changed, 189 insertions, 0 deletions
diff --git a/games/cowsay/README b/games/cowsay/README
new file mode 100644
index 0000000000..b374f39994
--- /dev/null
+++ b/games/cowsay/README
@@ -0,0 +1,7 @@
+cowsay (A Configurable Speaking/Thinking Cow)
+
+cowsay is basically a text filter. Send some text into it, and you get a
+cow saying your text.
+
+All you need is a working installation of Perl 5. And if you think a talking
+cow isn't enough, cows can think too. All you have to do is run cowthink.
diff --git a/games/cowsay/cowsay.SlackBuild b/games/cowsay/cowsay.SlackBuild
new file mode 100644
index 0000000000..18485458bc
--- /dev/null
+++ b/games/cowsay/cowsay.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+
+# Slackware build script for cowsay
+
+# Written by David Miller dave@frop.net
+# This script is released into the public domain
+# Modified by the slackbuilds.org project.
+
+PRGNAM=cowsay
+VERSION=${VERSION:-3.03}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+patch -p1 < $CWD/cowsay.SlackBuild.patch
+
+DESTDIR=$PKG \
+sh ./install.sh /usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog INSTALL LICENSE MANIFEST README pgp_public_key.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/cowsay/cowsay.SlackBuild.patch b/games/cowsay/cowsay.SlackBuild.patch
new file mode 100644
index 0000000000..46e622d983
--- /dev/null
+++ b/games/cowsay/cowsay.SlackBuild.patch
@@ -0,0 +1,91 @@
+diff -urN cowsay-3.03.old/cows/bob.cow cowsay-3.03.new/cows/bob.cow
+--- cowsay-3.03.old/cows/bob.cow 1969-12-31 18:00:00.000000000 -0600
++++ cowsay-3.03.new/cows/bob.cow 2009-12-23 13:57:40.000000000 -0600
+@@ -0,0 +1,10 @@
++$the_cow = <<"EOC";
++ $thoughts ___
++ $thoughts /_ _\\
++ $thoughts |/ ~ \\|
++ |'-.-`|
++ (|e|e|?
++ `._^_,'
++ \\\\=//
++ U/_/
++EOC
+diff -urN cowsay-3.03.old/cowsay cowsay-3.03.new/cowsay
+--- cowsay-3.03.old/cowsay 2000-05-19 20:29:49.000000000 -0500
++++ cowsay-3.03.new/cowsay 2009-12-23 11:32:29.000000000 -0600
+@@ -16,7 +16,7 @@
+ $progname = basename($0);
+ $eyes = "oo";
+ $tongue = " ";
+-$cowpath = $ENV{'COWPATH'} || '%PREFIX%/share/cows';
++$cowpath = $ENV{'COWPATH'} || '/usr/share/games/cows';
+ @message = ();
+ $thoughts = "";
+
+diff -urN cowsay-3.03.old/cowsay.1 cowsay-3.03.new/cowsay.1
+--- cowsay-3.03.old/cowsay.1 1999-11-04 13:50:40.000000000 -0600
++++ cowsay-3.03.new/cowsay.1 2009-12-23 13:38:08.000000000 -0600
+@@ -149,12 +149,12 @@
+ .B PATH or
+ .BR MANPATH .
+ It should always contain the
+-.B /usr/local/share/cows
++.B /usr/share/games/cows
+ directory, or at least a directory with a file called
+ .B default.cow
+ in it.
+ .SH FILES
+-.B %PREFIX%/share/cows
++.B /usr/share/games/cows
+ holds a sample set of cowfiles. If your
+ .B COWPATH
+ is not explicitly set, it automatically contains this directory.
+diff -urN cowsay-3.03.old/install.sh cowsay-3.03.new/install.sh
+--- cowsay-3.03.old/install.sh 1999-11-01 14:19:21.000000000 -0600
++++ cowsay-3.03.new/install.sh 2009-12-23 11:31:34.000000000 -0600
+@@ -67,26 +67,26 @@
+ echo Okay, time to install this puppy.
+
+ echo s,%BANGPERL%,!$usethisperl,\; > install.pl
+-echo s,%PREFIX%,$PREFIX,\; >> install.pl
++#echo s,%PREFIX%,$PREFIX,\; >> install.pl
+ set -x
+-mkdir -p $PREFIX/bin || (mkdir $PREFIX; mkdir $PREFIX/bin)
+-$usethisperl -p install.pl cowsay > $PREFIX/bin/cowsay
+-chmod a+x $PREFIX/bin/cowsay
+-ln -s cowsay $PREFIX/bin/cowthink
+-mkdir -p $PREFIX/man/man1 || ($mkdir $PREFIX; mkdir $PREFIX/man; mkdir $PREFIX/man/man1)
+-$usethisperl -p install.pl cowsay.1 > $PREFIX/man/man1/cowsay.1
+-chmod a+r $PREFIX/man/man1/cowsay.1
+-ln -s cowsay.1 $PREFIX/man/man1/cowthink.1
+-mkdir -p $PREFIX/share/cows || (mkdir $PREFIX; mkdir $PREFIX/share; mkdir $PREFIX/share/cows)
+-tar -cf - $filelist | (cd $PREFIX/share && tar -xvf -)
++mkdir -p $DESTDIR/$PREFIX/games || (mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/games)
++$usethisperl -p install.pl cowsay > $DESTDIR/$PREFIX/games/cowsay
++chmod a+x $DESTDIR/$PREFIX/games/cowsay
++ln -s cowsay $DESTDIR/$PREFIX/games/cowthink
++mkdir -p $DESTDIR/$PREFIX/man/man1 || ($mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/man; mkdir $DESTDIR/$PREFIX/man/man1)
++$usethisperl -p install.pl cowsay.1 > $DESTDIR/$PREFIX/man/man1/cowsay.1
++chmod a+r $DESTDIR/$PREFIX/man/man1/cowsay.1
++ln -s cowsay.1 $DESTDIR/$PREFIX/man/man1/cowthink.1
++mkdir -p $DESTDIR/$PREFIX/share/games/cows || (mkdir $DESTDIR/$PREFIX; mkdir $DESTDIR/$PREFIX/share; mkdir $DESTDIR/$PREFIX/share/games; mkdir $DESTDIR/$PREFIX/share/games/cows)
++tar -cf - $filelist | (cd $DESTDIR/$PREFIX/share/games && tar -xvf -)
+ set +x
+
+-echo Okay, let us see if the install actually worked.
++#echo Okay, let us see if the install actually worked.
+
+-if [ ! -f $PREFIX/share/cows/default.cow ]; then
+- echo The default cow file did not make it across!
+- echo Ooops, it failed...sorry!
+- exit 1
+-fi
++#if [ ! -f $PREFIX/share/cows/default.cow ]; then
++# echo The default cow file did not make it across!
++# echo Ooops, it failed...sorry!
++# exit 1
++#fi
+
+ echo Installation complete! Enjoy the cows!
diff --git a/games/cowsay/cowsay.info b/games/cowsay/cowsay.info
new file mode 100644
index 0000000000..1d3fcdf256
--- /dev/null
+++ b/games/cowsay/cowsay.info
@@ -0,0 +1,10 @@
+PRGNAM="cowsay"
+VERSION="3.03"
+HOMEPAGE="http://www.nog.net/~tony/warez/cowsay.shtml"
+DOWNLOAD="http://www.nog.net/~tony/warez/cowsay-3.03.tar.gz"
+MD5SUM="b29169797359420dadb998079021a494"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Miller"
+EMAIL="dave@frop.net"
+APPROVED="dsomero"
diff --git a/games/cowsay/slack-desc b/games/cowsay/slack-desc
new file mode 100644
index 0000000000..569bc5a1f6
--- /dev/null
+++ b/games/cowsay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+cowsay: cowsay (A Configurable Speaking/Thinking Cow)
+cowsay: _________________________________________
+cowsay: / cowsay is basically a text filter. Send \
+cowsay: | some text into it, and you get a cow |
+cowsay: \ saying your text. /
+cowsay: -----------------------------------------
+cowsay: \ ^__^
+cowsay: \ (oo)\_______
+cowsay: (__)\ )\/\
+cowsay: ||----w |
+cowsay: || ||